﻿<Automation screen="PO301000">
    <Actions ScreenID="PO301000">
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="Approve" ActionType="W" After="putOnHold" BatchMode="False" MenuFolderType="Approval Category" WindowMode="S" MapEnableRights="1" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Approved" ActionName="Approve" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="Reject" ActionType="W" After="Approve" BatchMode="False" MenuFolderType="Approval Category" WindowMode="S" MapEnableRights="1" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Rejected" ActionName="Reject" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="initializeState" ActionType="G" After="Last" BatchMode="False" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="releaseFromHold" ActionType="G" After="initializeState" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" DisablePersist="True" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Hold" ActionName="releaseFromHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="putOnHold" ActionType="G" After="releaseFromHold" DisableCondition="7d636480-98bc-616f-ac0d-24810109a87a" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" DisablePersist="True" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Hold" ActionName="putOnHold" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Printed" ActionName="putOnHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="1" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Emailed" ActionName="putOnHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="2" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Cancelled" ActionName="putOnHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="3" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Approved" ActionName="putOnHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="4" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Rejected" ActionName="putOnHold" IsFromScheme="True" Value="False" StateActionFieldLineNbr="5" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createPrepayment" ActionType="G" After="putOnHold" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createPOReceipt" ActionType="G" After="createPrepayment" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" HideCondition="b3870650-fc29-248e-d8f4-c45911395145" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createAPInvoice" ActionType="G" After="createPOReceipt" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="complete" ActionType="G" After="createAPInvoice" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="cancelOrder" ActionType="G" After="complete" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Cancelled" ActionName="cancelOrder" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="reopenOrder" ActionType="G" After="cancelOrder" DisableCondition="7d636480-98bc-616f-ac0d-24810109a87a" BatchMode="False" MenuFolderType="Processing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Hold" ActionName="reopenOrder" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Printed" ActionName="reopenOrder" IsFromScheme="True" Value="False" StateActionFieldLineNbr="1" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Emailed" ActionName="reopenOrder" IsFromScheme="True" Value="False" StateActionFieldLineNbr="2" />
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Cancelled" ActionName="reopenOrder" IsFromScheme="True" Value="False" StateActionFieldLineNbr="3" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="createSalesOrder" ActionType="G" After="reopenOrder" BatchMode="False" MenuFolderType="Drop-Ship Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="unlinkFromSO" ActionType="G" After="createSalesOrder" DisableCondition="3fdc6e5f-cdf5-e9fc-5665-b91007a0e595" BatchMode="False" MenuFolderType="Drop-Ship Category" WindowMode="S" HideCondition="eb0dc58a-6000-2ab0-4346-ac1b0dd927dd" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="convertToNormal" ActionType="G" After="unlinkFromSO" BatchMode="False" MenuFolderType="Drop-Ship Category" WindowMode="S" HideCondition="eb0dc58a-6000-2ab0-4346-ac1b0dd927dd" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="generateSalesOrder" ActionType="G" After="convertToNormal" DisableCondition="a27dcc9c-5643-d38d-302b-acaed17bc745" BatchMode="False" MenuFolderType="Intercompany Category" WindowMode="S" HideCondition="23d61d2f-98bf-1a07-994e-b3f242b48923" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="printPurchaseOrder" ActionType="G" After="generateSalesOrder" MassProcessingScreen="PO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="markAsDontPrint" ActionType="G" After="printPurchaseOrder" MassProcessingScreen="PO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="DontPrint" ActionName="markAsDontPrint" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="emailPurchaseOrder" ActionType="G" After="markAsDontPrint" MassProcessingScreen="PO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" DisablePersist="True" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="Emailed" ActionName="emailPurchaseOrder" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="markAsDontEmail" ActionType="G" After="emailPurchaseOrder" MassProcessingScreen="PO503000" BatchMode="True" MenuFolderType="Printing and Emailing Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields>
                <StateActionField IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" FieldName="DontEmail" ActionName="markAsDontEmail" IsFromScheme="True" Value="True" StateActionFieldLineNbr="0" />
            </StateActionFields>
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="recalculateDiscountsAction" ActionType="G" After="markAsDontEmail" BatchMode="False" MenuFolderType="Other Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="validateAddresses" ActionType="G" After="recalculateDiscountsAction" BatchMode="False" MenuFolderType="Other Category" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="vendorDetails" ActionType="G" After="validateAddresses" BatchMode="False" MenuFolderType="Report" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="viewPurchaseOrderReceipt" ActionType="G" After="vendorDetails" BatchMode="False" MenuFolderType="Report" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="addPOOrder" ActionType="G" After="viewPurchaseOrderReceipt" BatchMode="False" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="addPOOrderLine" ActionType="G" After="addPOOrder" BatchMode="False" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="viewDemand" ActionType="G" After="addPOOrderLine" BatchMode="False" WindowMode="S" HideCondition="f241ebdd-4bdd-e5a6-0155-a8a10586f2c6" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="addInvBySite" ActionType="G" After="viewDemand" BatchMode="False" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" IsSystem="True" IsCustomized="False" IsCustomizedRecursive="False" ActionName="addInvSelBySite" ActionType="G" After="addInvBySite" BatchMode="False" WindowMode="S" ExposedToMobile="False">
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Action IsActive="True" ActionName="PurchaseOrder" ActionType="R" DestinationScreenID="BIRPO001" DisplayName="Print Purchase Order BIR" MenuFolderType="Report" WindowMode="W" MapEnableRights="1" ExposedToMobile="False">
            <Param IsActive="True" Value="[OrderType]" ActionName="PurchaseOrder" Name="OrderType" FromSchema="False" />
            <Param IsActive="True" Value="[OrderNbr]" ActionName="PurchaseOrder" Name="OrderNbr" FromSchema="False" />
            <StateActionFields />
            <StateActionParams />
        </Action>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Actions" CategoryName="Action" LineNbr="0">
            <OriginalState IsActive="True" DisplayName="Actions" CategoryName="Action" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Inquiries" CategoryName="Inquiry" After="Action" LineNbr="1">
            <OriginalState IsActive="True" DisplayName="Inquiries" CategoryName="Inquiry" After="Action" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Processing" CategoryName="Processing Category" After="Inquiry" LineNbr="2">
            <OriginalState IsActive="True" DisplayName="Processing" CategoryName="Processing Category" After="Inquiry" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Drop-Ship" CategoryName="Drop-Ship Category" After="Processing Category" LineNbr="3">
            <OriginalState IsActive="True" DisplayName="Drop-Ship" CategoryName="Drop-Ship Category" After="Processing Category" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Intercompany" CategoryName="Intercompany Category" After="Drop-Ship Category" LineNbr="4">
            <OriginalState IsActive="True" DisplayName="Intercompany" CategoryName="Intercompany Category" After="Drop-Ship Category" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Printing and Emailing" CategoryName="Printing and Emailing Category" After="Approval Category" LineNbr="5">
            <OriginalState IsActive="True" DisplayName="Printing and Emailing" CategoryName="Printing and Emailing Category" After="Approval Category" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Other" CategoryName="Other Category" After="Printing and Emailing Category" LineNbr="6">
            <OriginalState IsActive="True" DisplayName="Other" CategoryName="Other Category" After="Printing and Emailing Category" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Reports" CategoryName="Report" After="Other Category" LineNbr="7">
            <OriginalState IsActive="True" DisplayName="Reports" CategoryName="Report" After="Other Category" />
        </Category>
        <Category IsActive="True" IsSystem="True" IsCustomized="True" IsCustomizedRecursive="False" DisplayName="Approval" CategoryName="Approval Category" After="Intercompany Category" LineNbr="8">
            <OriginalState IsActive="True" DisplayName="Approval" CategoryName="Approval Category" After="Intercompany Category" />
        </Category>
    </Actions>
</Automation>